package com.xdap.self_development.service;

import com.xdap.self_development.controller.form.*;
import com.xdap.self_development.domain.dto.ChartCommonParameterDTO;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import java.util.List;

public interface CommonParameterService {
    List<ModelCommonItem> getSystemAndPara();

    List<ModelCommon> getModelCommonParameter(String userId);

    void insertModelCommonParameter(@Valid ModelCommonParameterInsertForm form);

    void updateModelCommonParameter(@Valid ModelCommonParameterUpdateForm form);

    List<AnalysisCommonParameterInsertForm> getAnalysisCommonParameter(@NotBlank String userId);

    void insertAnalysisCommonParameter(@Valid AnalysisCommonParameterInsertForm form);

    void updateAnalysisCommonParameter(AnalysisCommonParameterUpdateForm form);

    List<ChartCommonParameterDTO> getChartCommonParameter(@NotBlank String userId);

    void insertChartCommonParameter(@Valid ChartCommonParameterInsertForm form);

    void updateChartCommonParameter(@Valid ChartCommonParameterUpdateForm form);
}
